<?php 

	class Conector {
		var $server = 'localhost';
		var $username = 'u148573338_adminga26'; 
		var $password = 'S1lvestre.@24';
		var $db = 'u148573338_ga2026';
		var $enlace; // conexion id



		
		function Conector(){
			$this->Conexion($this->server,$this->username,$this->password,$this->db);
			date_default_timezone_set('America/Bogota');
		}
		/* 	constructor 
		*	recibe la direccion del servidor, el nombre de usuario , la contrase�a y que base de datos voy a emplear 
		*/
		function Conexion($server, $username, $password, $db){
			
			
 
			$this->enlace = mysql_connect($server, $username, $password);

			if ($this->enlace != NULL){ // si la conexion es valida

			mysql_query("SET NAMES 'utf8'");
				
				mysql_select_db($db, $this->enlace); // seleccione la base de datos
			}else{ // sino
				echo "Ha sucedido un error al intentar conectarse a la base de datos"; // mensaje
				exit(); // salida de la aplicacion
			}				
		}

		

		
		/* 	Consultar
		*	recibimos un sql y lo enviamos al dbms
		*/
		
		function consultar($sql){  
			$res = mysql_query($sql,$this->enlace); // enviamos el sql a la db, a traves de la conexion 
			$datos = array();
			while ($row = mysql_fetch_row($res)){ // vamos leyendo 1 x 1 los registros (fila a fila)
				$datos[] = $row; // los vamos guardando en un vectos
			}
			return $datos; // retornamos el resultado como una martiz
		}
		
		/* 	Destructor
		*	Es llamado (invocado) cuando finaliza la pagina php
		*/	
		
		function actualizar($sql){
			if (mysql_query($sql,$this->enlace)){
				if (mysql_affected_rows($this->enlace) > 0){
					return true;
				}else
					return false;
			}
			
		}
		
		function __destruct(){ 
			mysql_close($this->enlace); // cerramos la conexion a la base de datos
		}
		function menu(){
			echo "<table align='center' bordercolor='#0033FF' border='1' cellpadding='0' cellpadding='0' class='tbc'>
				<tr>
					<td><a href='lib/crear_usuario.php'>Crear Usuario</a></td>
					<td><a href='index.php' >Salir</a></td>
					
				</tr>
			</table>";
		}	
	
	}


 ?>